Subject: Re: [bug#28972] [PATCH] gnu: Remove unrar.

From: Leo Famulari <[email-masked]>
Date: Sun, 12 Nov 2017 16:20:35 -0500

On Wed, Oct 25, 2017 at 04:30:43PM +0200, Ricardo Wurmus wrote:
> 
> Adonay Felipe Nogueira <[email-masked]> writes:
> 
> > Perhaps The Unarchiver (unar, no R in the middle)?
> >
> > See <https://directory.fsf.org/wiki/Unar>
> 
> I tried packaging this once, but it is quite difficult as it depends on
> an Objective C compiler (which is currently broken in Guix due to the
> fact that GCC doesn’t find it) and GNUstep (which is not fully packaged
> yet).
> 
> I agree with Leo to remove the outdated unrar package.  Waiting for the
> alternative to be packaged would not be reasonable, given the size of
> the task.

Removed with commit 2560aa7adbfcb46306e8b19180bd48d39c2da6dc.

If anyone is interested in maintaining a package outside of Guix, Debian
has written some patches for the recently discovered bugs, distributed
in their package version 1:0.0.1+cvs20140707-4:

https://packages.debian.org/sid/unrar-free
http://http.debian.net/debian/pool/main/u/unrar-free/unrar-free_0.0.1+cvs20140707-4.debian.tar.xz

I thought about taking these patches, but the bug reporter said it took
them only "a few minutes" to find these bugs, so I'm not optimistic
about the state of this program, at least if it is not maintained
upstream.